> ## Documentation Index
> Fetch the complete documentation index at: https://docs.magna.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Admin Wallets

> List the project wallets (admin wallets) available to your project.



## OpenAPI

````yaml /apis/admin/openapi.json get /api/external/v1/wallets/admin-wallets
openapi: 3.1.0
info:
  title: Magna Admin API
  version: 1.0.0
  description: >-
    The private, server-to-server API for managing allocations, funding and
    claims, transactions, portals, and token data. Authenticated with a project
    API key sent in the `x-magna-api-token` header.
servers:
  - url: https://app.magna.so
    description: Production
security:
  - apiToken: []
paths:
  /api/external/v1/wallets/admin-wallets:
    get:
      tags:
        - Wallets
      summary: Admin Wallets
      description: List the project wallets (admin wallets) available to your project.
      operationId: getWalletsAdminWallets
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  isProcessed:
                    type: boolean
                  result:
                    description: Endpoint-specific result payload.
              example:
                isProcessed: true
                result:
                  items:
                    - id: w1...uuid
                      address: 0x...
                      platform: EVM
                  total: 1
        '400':
          description: Validation error
        '401':
          description: Missing or invalid API token
        '403':
          description: API token lacks the required scope or project access
components:
  securitySchemes:
    apiToken:
      type: apiKey
      in: header
      name: x-magna-api-token

````